#ifndef INCL_CHANNEL_H
#define INCL_CHANNEL_H
#include <stdint.h>


enum channel_trigger_mode_e {
    TRIG_NONE = 0,
    TRIG_RISE = 1,
    TRIG_FALL = 2,
    TRIG_BOTH = 3
};

struct di_channel {
    int idx;
    enum channel_trigger_mode_e trigger;
    uint8_t *sample_start;
    uint8_t *sample_cur;
};

void timer_capture_on(void);
void timer_capture_off(void);
void probe_on(void);
void probe_off(void);

uint32_t timer_capture_get(void);

#endif
